Organisations
List organisations
List all organisations for the current user
GET
/
api
/
v1
/
{app_id}
/
organisations
Error
A valid request URL is required to generate request examples{
"companies": [
{
"app_id": "<string>",
"attributes": [
{
"description": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"translations": {
"description": {},
"name": {}
},
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"files": [
{
"app_id": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"custom_fields": {},
"filename": "<string>",
"id": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"invoice_email": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"role": "<string>",
"role_name": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"store_groups": [
{
"country_of_sale": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"store_type": "<string>",
"updated_at": "<string>"
}
],
"tags": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"total": 123,
"total_pages": 123
}Path Parameters
UUID of the app
Query Parameters
Page number for pagination. If not provided, all organisations are returned.
Number of items per page. Max 20. If not provided, all organisations are returned.
Search query for organisation name and number
Previous
Register new organisationRegister a new organisation and attach the current logged in users to the organisation
Next
⌘I
Error
A valid request URL is required to generate request examples{
"companies": [
{
"app_id": "<string>",
"attributes": [
{
"description": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"translations": {
"description": {},
"name": {}
},
"values": {}
}
],
"billing_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"comment": "<string>",
"contact_name": "<string>",
"created_at": "<string>",
"credit_check": true,
"custom_fields": {},
"customer_groups": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
],
"email": "<string>",
"external_ref": "<string>",
"files": [
{
"app_id": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"custom_fields": {},
"filename": "<string>",
"id": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"invoice_email": "<string>",
"level": "<string>",
"name": "<string>",
"organisation_number": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"role": "<string>",
"role_name": "<string>",
"shipping_address": [
{
"city": "<string>",
"co_address": "<string>",
"company_id": "<string>",
"company_name": "<string>",
"country": "<string>",
"created_at": "<string>",
"house_number": "<string>",
"id": "<string>",
"is_default": true,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"shipping_type": "<string>",
"state_province": "<string>",
"street_address": "<string>",
"updated_at": "<string>"
}
],
"status": "<string>",
"store_groups": [
{
"country_of_sale": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"store_type": "<string>",
"updated_at": "<string>"
}
],
"tags": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"tax_id_vat_number": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"total": 123,
"total_pages": 123
}